CONF_MODULES_LOAD_FILE(3)

NAME
CONF_modules_load_file, CONF_modules_load - OpenSSL configuration functions

SYNOPSIS
#include <openssl/conf.h>
int
CONF_modules_load_file(const char *filename, const char *appname, unsigned long flags);
int
CONF_modules_load(const CONF *cnf, const char *appname, unsigned long flags);

DESCRIPTION
The function CONF_modules_load_file() configures OpenSSL using file filename and application name appname. If filename is NULL, the standard OpenSSL configuration file is used. If appname is NULL, the standard OpenSSL application name "openssl_conf" is used. The behaviour can be cutomized using flags.

CONF_modules_load() is idential to CONF_modules_load_file() except it reads configuration information from cnf.

The following flags are currently recognized:

CONF_MFLAGS_IGNORE_ERRORS
    Ignore errors returned by individual configuration modules. By default, the first module error is considered fatal and no further modules are loaded.

CONF_MFLAGS_SILENT
    Do not add any error information. By default, all module errors add error information to the error queue.

CONF_MFLAGS_NO_DSO
    Disable loading of configuration modules from DSOs.

CONF_MFLAGS_IGNORE_MISSING_FILE
    Let CONF_modules_load_file() ignore missing configuration files. By default, a missing configuration file returns an error.

RETURN VALUES
These functions return 1 for success and zero or a negative value for failure. If module errors are not ignored, the return code will reflect the return value of the failing module (this will always be zero or negative).

SEE ALSO
CONF_free(3), ERR(3), OPENSSL_config(3)

HISTORY
CONF_modules_load_file() and CONF_modules_load() first appeared in OpenSSL 0.9.7.